Bug 29316

Summary: commit-queue should give better feedback when failing a patch
Product: WebKit Reporter: Eric Seidel (no email) <eric>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, commit-queue, levin
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 28686    
Attachments:
Description Flags
First attempt at error message cleanups
none
Fix args to not conflict with Exception.args
none
Fix args to not conflict with Exception.args
none
Limit error output length none

Description Eric Seidel (no email) 2009-09-16 15:19:25 PDT
commit-queue should give better feedback when failing a patch

I'm going to start by printing the logs from the failing command.  I will make further improvements soon, including giving information as to how to resolve the issue, or changing other parts of the commit-queue to not even bother failing a patch when it's not the user's fault (like when the ChangeLog is out of date, or maybe for a specific set of flakey tests).

This patch is about adding logging information when failing a patch.  I've been running the commit-queue with this code for a few hours and it seems to be doing fine. :)
Comment 1 Eric Seidel (no email) 2009-09-16 15:26:29 PDT
Created attachment 39663 [details]
First attempt at error message cleanups
Comment 2 Eric Seidel (no email) 2009-09-16 16:09:32 PDT
Example feedback:
https://bugs.webkit.org/show_bug.cgi?id=29280#c4

Obviously that message could be much less verbose.  That's the next step: write custom message parsers/translators for all the individual errors and tools.

In this example, we could parse out what layout test failed, and compose a more concise message that we post in the bug.
Comment 3 Eric Seidel (no email) 2009-09-16 17:04:42 PDT
Created attachment 39667 [details]
Fix args to not conflict with Exception.args
Comment 4 Eric Seidel (no email) 2009-09-16 17:43:05 PDT
Created attachment 39673 [details]
Fix args to not conflict with Exception.args
Comment 5 Adam Barth 2009-09-16 18:43:45 PDT
Comment on attachment 39673 [details]
Fix args to not conflict with Exception.args

ok
Comment 6 Eric Seidel (no email) 2009-09-16 19:32:07 PDT
Comment on attachment 39673 [details]
Fix args to not conflict with Exception.args

I rescind this patch.  I just noticed it's not logging to stdout as expected, I need to debug it further.
Comment 7 Eric Seidel (no email) 2009-09-24 14:52:31 PDT
Created attachment 40080 [details]
Limit error output length
Comment 8 Eric Seidel (no email) 2009-09-24 14:57:02 PDT
I've been testing this patch for the last week.  It seems to work just fine, and has dramatically improved usability of the queue now that people can see what fails.  I still need to deploy this type of reporting to a few other places in the code though.
Comment 9 Adam Barth 2009-09-25 10:02:17 PDT
Comment on attachment 40080 [details]
Limit error output length

That python array syntax is wild.
Comment 10 WebKit Commit Bot 2009-09-25 10:40:54 PDT
Comment on attachment 40080 [details]
Limit error output length

Clearing flags on attachment: 40080

Committed r48760: <http://trac.webkit.org/changeset/48760>
Comment 11 WebKit Commit Bot 2009-09-25 10:41:04 PDT
All reviewed patches have been landed.  Closing bug.